AutoCAD : Switching to another drawing in a running VBA sess

No Comments

Resource connection

Author: arjen_broens
Subject matter: Switching to a further drawing in a operating VBA sess
Posted: 08.Oct.2017 at 12:27

I’ve narrowed the dilemma down.

I can change drawings now whilst my application is operating.

I’ve developed a combobox to change drawings whilst my application is operating and even ACTIVATE and REGEN the selected drawing:

ThisDrawing.Application.Files.Item(ComboBox1.ListIndex).Activate
ThisDrawing.Application.Files.Item(ComboBox1.ListIndex).Regen acAllViewports

The GETPOINT line is only productive in the drawing that was lively before I commenced my application:

PrikPnt = ThisDrawing.Utility.GetPoint(Basepnt, PrikPointTexT)

The error I get in all other drawings I select and activate:



Anybody any notion what is require to be set before I can use it?

Many thanks

Edited by arjen_broens – 3 several hours 1 minutes ago at 12:27

Categories: AutoCAD

AutoCAD : Switching to another drawing in a running VBA sess

No Comments

Source link

Creator: arjen_broens
Matter: Switching to an additional drawing in a running VBA sess
Posted: 07.Oct.2017 at 16:26

My VBA software calls for facts from just one drawing to be employed in an additional just one in the similar VBA running session.

I need to have to ALIGN just one drawing centered on 3 3D factors from an additional draiwng quickly.

At the minute I am running my software to collate the facts from drawing 1, retail outlet it, shut my software to open the other drawing and operate my software once again to retrieve the facts to ALIGN it.

Any idea how I can swap to an additional loaded drawing in the similar VBA running session?

Thanks!

Categories: AutoCAD

AutoCAD : Hot to connect these two solid

No Comments

Resource hyperlink

Creator: rdjavi
Topic: Sizzling to connect these two solid
Posted: 06.Oct.2017 at 14:54

Hello John. I apologize for the hold off with the reply, I experienced a ton of function.
And I uncovered a alternative comparable to yours, glance at the photo. Is there any solution to transform the surface to solid? In Mesh panel that is solution Convert to solid but it does not to use on my surface.
I’m not rather distinct about your technique, just after the loft command is not likely to use to the Area command with me. It really is a Area command or one more a single?

Edited by rdjavi – 6 hrs 21 minutes ago at 14:58

Categories: AutoCAD

AutoCAD : Hot to connect these two solid

No Comments

Resource website link

Creator: John Connor
Topic: Very hot to join these two sound
Posted: 06.Oct.2017 at 15:29

I am certain there is far more than one particular solution to the problem. My solution may possibly be not be the very best or the quickest but it worked.

There are two or 3 distinctive strategies to convert a floor to a sound but it is dependent on what you have to operate with.
Regrettably I worked with your drawing on a distinctive CAD system so I do not have the .dwg file to refer again to. I would have to commence above from scratch and proper now I am a little chaotic.

Edited by John Connor – 1 hour 29 minutes back at 15:37

Categories: AutoCAD

AutoCAD : ECW RASTER IMAGE

No Comments

Source backlink

Creator: maheshm
Subject matter: ECW RASTER Image
Posted: 06.Oct.2017 at 09:11

1.Just move even bigger impression (by making use of `Move’ command)
2.Remember to ensure these two tick mark just before connect impression

3.Then only you can connect impression your fascinating place

Categories: AutoCAD

AutoCAD : ECW RASTER IMAGE

No Comments

Resource backlink

Author: jeys
Subject matter: ECW RASTER Image
Posted: 06.Oct.2017 at 07:00

Hello

I hope you might be nicely.

I have an challenge with AutoCAD 2015, can you you should aid?

I have 2 ECW photographs: picture1 is 1.86GB and picture2 is 164MB,and they are in an Xref.(Raster Image) When I open the Xref I can see the two photographs as I setthem up, but when I overlay the Xref on my sketch, it is really only demonstrating the biggerimage – the other just one is not noticeable.

Do you know how I can resolve it?

Thank you!

Categories: AutoCAD